[@rxap/forms](../wiki/globals) / FormControlMarkPristineDirective

# Class: FormControlMarkPristineDirective

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-pristine.directive.ts:12](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/directives/form-control-mark-pristine.directive.ts#L12)

## Constructors

### new FormControlMarkPristineDirective()

> **new FormControlMarkPristineDirective**(`parent`): [`FormControlMarkPristineDirective`](../wiki/Class.FormControlMarkPristineDirective)

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-pristine.directive.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/directives/form-control-mark-pristine.directive.ts#L14)

#### Parameters

##### parent

`ControlContainer`

#### Returns

[`FormControlMarkPristineDirective`](../wiki/Class.FormControlMarkPristineDirective)

## Methods

### onClick()

> **onClick**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-pristine.directive.ts:18](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/directives/form-control-mark-pristine.directive.ts#L18)

#### Returns

`void`
